> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Portal Bulk Track Progress



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/hub/{hub_id}/progress
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hub/{hub_id}/progress:
    post:
      tags:
        - content-portal
      summary: Portal Bulk Track Progress
      operationId: content_portal.post_content_portal_post_hub_by_hub_id_progress
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/BulkProgressEnvelope'
        required: true
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ContentProgressBulkResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkProgressEnvelope:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/BulkProgressResource'
      required:
        - data
      title: BulkProgressEnvelope
      type: object
    ContentProgressBulkResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/ContentProgressResource'
          title: Data
          type: array
        meta:
          $ref: '#/components/schemas/BulkProgressMeta'
      required:
        - data
        - meta
      title: ContentProgressBulkResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BulkProgressResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/BulkProgressAttributes'
        type:
          const: content_progress
          title: Type
          type: string
      required:
        - type
        - attributes
      title: BulkProgressResource
      type: object
    ContentProgressResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/ContentProgressAttributes'
        id:
          title: Id
          type: string
        type:
          const: content_progress
          default: content_progress
          title: Type
          type: string
      required:
        - id
        - attributes
      title: ContentProgressResource
      type: object
    BulkProgressMeta:
      additionalProperties: false
      properties:
        count:
          title: Count
          type: integer
        errors:
          items:
            $ref: '#/components/schemas/BulkProgressErrorEntry'
          title: Errors
          type: array
        failed:
          title: Failed
          type: integer
      required:
        - count
        - failed
      title: BulkProgressMeta
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    BulkProgressAttributes:
      additionalProperties: false
      properties:
        items:
          items:
            $ref: '#/components/schemas/BulkProgressItem'
          title: Items
          type: array
      required:
        - items
      title: BulkProgressAttributes
      type: object
    ContentProgressAttributes:
      additionalProperties: false
      properties:
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        contact_id:
          title: Contact Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        hub_id:
          title: Hub Id
          type: string
        is_completed:
          title: Is Completed
          type: boolean
        node_id:
          title: Node Id
          type: string
        plays:
          title: Plays
          type: integer
        start_time:
          anyOf:
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          title: Start Time
        updated_at:
          format: date-time
          title: Updated At
          type: string
        visits:
          title: Visits
          type: integer
      required:
        - node_id
        - contact_id
        - hub_id
        - start_time
        - is_completed
        - completed_at
        - visits
        - plays
        - created_at
        - updated_at
      title: ContentProgressAttributes
      type: object
    BulkProgressErrorEntry:
      additionalProperties: false
      properties:
        code:
          enum:
            - content_node_not_found
            - content_node_access_denied
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        source:
          $ref: '#/components/schemas/BulkProgressErrorSource'
        status:
          enum:
            - '404'
            - '403'
          title: Status
          type: string
      required:
        - status
        - code
        - detail
        - source
      title: BulkProgressErrorEntry
      type: object
    BulkProgressItem:
      additionalProperties: false
      properties:
        is_completed:
          default: false
          title: Is Completed
          type: boolean
        node_id:
          title: Node Id
          type: string
        start_time:
          anyOf:
            - type: number
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
            - type: 'null'
          title: Start Time
      required:
        - node_id
      title: BulkProgressItem
      type: object
    BulkProgressErrorSource:
      additionalProperties: false
      description: JSON:API `source` object pinpointing which request item failed.
      properties:
        pointer:
          title: Pointer
          type: string
      required:
        - pointer
      title: BulkProgressErrorSource
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````